## net.sourceforge.pmd
Interface DataSource

All Known Implementing Classes:
  FileDataSource, ZipDataSource

public interface DataSource

Represents a source file to be analyzed. Different implementations can get the source file from different places: the filesystem, a zip or jar file, etc.

Method Summary
`java.io.InputStream` `getInputStream()` Get an InputStream on the source file.
`java.lang.String` `getNiceFileName(boolean shortNames, java.lang.String inputFileName)` Return a nice version of the filename.

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Get an InputStream on the source file.

  Returns:
    the InputStream reading the source file
  Throws:
    `java.io.IOException` - if the file can't be opened

### getNiceFileName

    public java.lang.String getNiceFileName(boolean shortNames,
                                            java.lang.String inputFileName)

  Return a nice version of the filename.

  Parameters:
    `shortNames` - true if short names are being used
    `inputFileName` - name of a "master" file this file is relative to

Copyright © 2002-2006 InfoEther. All Rights Reserved.